<?php

/**
 * ObjetosGasto form base class.
 *
 * @package    form
 * @subpackage objetos_gasto
 * @version    SVN: $Id: sfPropelFormGeneratedTemplate.php 15484 2009-02-13 13:13:51Z fabien $
 */
class BaseObjetosGastoForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'          => new sfWidgetFormInputHidden(),
      'ano_fiscal'  => new sfWidgetFormInput(),
      'codigo'      => new sfWidgetFormInput(),
      'descripcion' => new sfWidgetFormInput(),
      'abreviatura' => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'          => new sfValidatorPropelChoice(array('model' => 'ObjetosGasto', 'column' => 'id', 'required' => false)),
      'ano_fiscal'  => new sfValidatorString(array('max_length' => 4, 'required' => false)),
      'codigo'      => new sfValidatorString(array('max_length' => 20, 'required' => false)),
      'descripcion' => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'abreviatura' => new sfValidatorString(array('max_length' => 20, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('objetos_gasto[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'ObjetosGasto';
  }


}
